#include <iostream>
#include <fstream>
using namespace std;
int main() 
{
	ifstream f1 ("snton.inp");
	int n;
	f1>>n;
	f1.close();
	ofstream f2("snton.out");
	if (n<2)
	f2<<"NO"<<endl;
	if (n==2)
	f2<<"YES"<<endl;
	if (n>2)
	{
	for (int i=2;i<n;i++)
	{
	if (n%i==0)
	{
	f2<<"NO"<<endl;
	break;
    }
	else
	{f2<<"YES"<<endl;
	break;}	
	}
    }
	f2.close();
	
	}
